%global momorel 4

Summary:	testdisk - data recovery tool to recover lost partitions
Name:		testdisk
Version:	6.9
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0:		testdisk69_libewf.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:  ntfsprogs-devel >= 2.0
BuildRequires:  libewf-devel >= 0-0.20080501.1m
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
TestDisk is a powerful free data recovery software! It was primarily designed to help recover lost partitions and/or make non-booting disks bootable again when these symptoms are caused by faulty software, certain types of viruses or human error (such as accidentally deleting a Partition Table). Partition table recovery using TestDisk is really easy.

%package -n photorec
Summary: photorec - file data recovery tool designed to recover lost files
Group: Applications/System

%description -n photorec
is file data recovery software designed to recover lost files including video, documents and archives from Hard Disks and CDRom and lost pictures (thus, its 'Photo Recovery' name) from digital camera memory. PhotoRec ignores the filesystem and goes after the underlying data, so it will still work even if your media's filesystem has been severely damaged or re-formatted.

%prep
#'
%setup -q
%patch0 -p1 -b .libewf

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install transform='s,x,x,'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS doc
%{_sbindir}/testdisk
%{_mandir}/man1/testdisk*

%files -n photorec
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS doc
%{_sbindir}/photorec
%{_mandir}/man1/photorec*

%changelog
* Thu Jul 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (6.9-4m)
- build fix with libewf-0-0.20080501.1m

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (6.9-3m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.9-2m)
- rebuild against gcc43

* Fri Feb 29 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (6.9-1m)
- import to Momonga
